package com.zjrs.zwnw.jbxxgl.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.jbxxgl.blo.DwxxglBLO;
import com.zjrs.zwnw.jbxxgl.bpo.DwxxglBPO;
import com.zjrs.zwnw.jbxxgl.dto.*;
import com.zjrs.zwnw.jbxxgl.po.VSAb01PO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;

@Service
public class DwxxglBPOimpl extends BPOImpl implements DwxxglBPO {
    @Resource
    private DwxxglBLO dwxxglBLO;

    @Override
    public PageResult getDwxxList(DwxxQueryDTO dto) {
        return dwxxglBLO.getDwxxList(dto);
    }

    @Override
    public VSAb01PO getDwxx(JbxxglCommonDTO dto) {
        return dwxxglBLO.getDwxx(dto);
    }

    @Override
    public String saveDwxx(DwxxDTO dto) {
        return dwxxglBLO.saveDwxx(dto);
    }

    @Override
    public String saveDwjbxx(DwjbxxDTO dto) {
        return dwxxglBLO.saveDwjbxx(dto);
    }

    @Override
    public PageResult getDwjbxxLog(DwLogQueryDTO dto) {
        return dwxxglBLO.getDwjbxxLog(dto);
    }
}
